

 <script type="text/javascript">
	jQuery(document).ready(function() {
		jQuery("#fp_settings_tabs").tabs({ cookie: { expires: 30 } });



	// Show settings array
	jQuery("#fp_show_settings_array").click(function() {
		jQuery("#fp_show_settings_array_cancel").show();
		jQuery("#fp_show_settings_array_result").show();
	});

	// Hide settings array
	jQuery("#fp_show_settings_array_cancel").click(function() {
		jQuery("#fp_show_settings_array_result").hide();
		jQuery(this).hide();
	});

	// Hide floorplan query
	jQuery("#fp_ajax_floorplan_query_cancel").click(function() {
		jQuery("#fp_ajax_floorplan_result").hide();
		jQuery(this).hide();
	});

	// Check plugin updates
	jQuery("#fp_ajax_check_plugin_updates").click(function() {

		jQuery('.plugin_status').remove();

 
 
		jQuery.post(ajaxurl, {
				action: 'fp_ajax_check_plugin_updates'
				}, function(data) {
				
				message = "<div class='plugin_status updated fade'><p>" + data + "</p></div>";
				jQuery(message).insertAfter("h2");
				

			});

	});	// Show floorplan query
	jQuery("#fp_ajax_floorplan_query").click(function() {



		var floorplan_id = jQuery("#fp_floorplan_class_id").val();

		jQuery("#fp_ajax_floorplan_result").html("");

		jQuery.post(ajaxurl, {
				action: 'fp_ajax_floorplan_query',
				floorplan_id: floorplan_id,
 			}, function(data) {
				jQuery("#fp_ajax_floorplan_result").show();
				jQuery("#fp_ajax_floorplan_result").html(data);
				jQuery("#fp_ajax_floorplan_query_cancel").show();

			});

	});

	// Show floorplan query
	jQuery("#fp_check_premium_updates").click(function() {


		jQuery("#fp_plugins_ajax_response").hide();

		jQuery.post(ajaxurl, {
				action: 'fp_ajax_check_plugin_updates',
 			}, function(data) {
				jQuery("#fp_plugins_ajax_response").show();
				jQuery("#fp_plugins_ajax_response").html(data);

			});

	});


	});
 </script>

<div class="wrap">
<h2><?php _e('Floorplan Settings','floorplans'); ?></h2>

<?php if($wp_messages['error']): ?>
<div class="error">
	<?php foreach($wp_messages['error'] as $error_message): ?>
		<p><?php echo $error_message; ?>	
	<?php endforeach; ?>	
</div>
<?php endif; ?>

<?php if($wp_messages['notice']): ?>
<div class="updated fade">
	<?php foreach($wp_messages['error'] as $warning_message): ?>
		<p><?php echo $warning_message; ?>
	<?php endforeach; ?>
</div>
<?php endif; ?>



<form method="post" action="<?php echo admin_url('edit.php?post_type=floorplan&page=floorplan_settings'); ?>" />
<?php wp_nonce_field('fp_setting_save'); ?>

<div id="fp_settings_tabs" class="clearfix">
	<ul class="tabs">
		<li><a href="#tab_main"><?php _e('Main','floorplans'); ?></a></li>
		<!--<li><a href="#tab_display"><?php _e('Display','floorplans'); ?></a></li>
		<li><a href="#tab_admin_ui"><?php _e('Admin UI','floorplans'); ?></a></li>-->


	</ul>

	<div id="tab_main">


		<table class="form-table">
		<tr>
			<th><?php _e('Floorplan Styles','floorplans'); ?></th>
			<td>
            	<ul>
					<?php
                    foreach ($floorplans['floorplan_type'] as $key => $type) {
						?>
                        <li>
						<?php echo FP_UD::input("name=&group=fp_settings[floorplan_type]&style=width: 200px;", $type); ?>
                        <a href="javascript:void(0)" class="delete_fp_style">&times;</a>
                        </li>
                        <?php
                    }
                    ?>
                	<li class="new_fp_row">
                    	<a href="javascript:void(0)" class="new_fp_style">(Add a new floorplan style)</a>
                    	<input disabled="true" name="fp_settings[floorplan_type][]" class="floorplan_hide new_fp_field" />
                    </li>
                </ul>
			</td>
		</tr>
        
        <tr>
			<th><?php _e('Floorplan Collections','floorplans'); ?></th>
			<td>
            	<ul>
					<?php
                    foreach ($floorplans['floorplan_collection'] as $key => $type) {
						?>
                        <li>
						<?php echo FP_UD::input("name=&group=fp_settings[floorplan_collection]&style=width: 200px;", $type); ?>
                        <a href="javascript:void(0)" class="delete_fp_collection">&times;</a>
                        </li>
                        <?php
                    }
                    ?>
                	<li class="new_fp_collection_row">
                    	<a href="javascript:void(0)" class="new_fp_collection">(Add a new floorplan collection)</a>
                    	<input disabled="true" name="fp_settings[floorplan_collection][]" class="floorplan_hide new_fp_collection_field" />
                    </li>
                </ul>
			</td>
		</tr>



		<tr>
			<th><?php _e('Default Phone Number','floorplans'); ?></th>
			<td>
				<?php 
            $phone_number_text = __('Phone number to use when a floorplan-specific phone number is not specified.','floorplans');
            echo FP_UD::input("name=phone_number&label=$phone_number_text&group=fp_settings[configuration]&style=width: 200px;", $floorplans[configuration][phone_number]); ?>
			</td>
		</tr>

		</table>
        <p>Add <b>[floorplan_overview_page]</b> to any Wordpress page or post to create a floorplan listing page.</p>
	</div>
<?php // print_r($floorplans); ?>


	<!--<div id="tab_display">

		<table class="form-table">


		<tr>
			<th><?php _e('Image Sizes','floorplans'); ?></th>
			<td>
				<p>
				<?php _e('Image sizes used throughout the plugin.','floorplans'); ?> <br />
				<?php if(class_exists("RegenerateThumbnails")): ?>
					  <?php echo sprintf(__('After adding/removing image size, be sure to <a href="%s">regenerate thumbnails</a> using the Regenerate Thumbnails plugin.','floorplans'), admin_url("tools.php?page=regenerate-thumbnails")); ?><br />
				<?php endif; ?>

				<?php if(!class_exists('RegenerateThumbnails')): ?>
				<?php _e('We strongly recommend to <a href="http://wordpress.org/extend/plugins/regenerate-thumbnails/">Regenerate Thumbnails</a> plugin by Viper007Bond.','floorplans'); ?>
				<?php endif; ?>
				</p>

					<table id="fp_image_sizes" class="ud_ui_dynamic_table widefat">
						<thead>
							<tr>
								<th><?php _e('Slug','floorplans'); ?></th>
								<th><?php _e('Width','floorplans'); ?></th>
								<th><?php _e('Height','floorplans'); ?></th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody>
					<?php
						$fp_image_sizes = $floorplans['image_sizes'];

						foreach(get_intermediate_image_sizes() as $slug):

						$slug = trim($slug);

						// We return all, including images with zero sizes, to avoid default data overriding what we save
						$image_dimensions = FP_Utils::image_sizes($slug, "return_all=true");

						// Skip images w/o dimensions
						if(!$image_dimensions)
							continue;

						// Disable if WP not a fp image size
						if(!is_array($fp_image_sizes[$slug]))
							$disabled = true;
						else
							$disabled = false;


						if(!$disabled):
					?>
						<tr class="fp_dynamic_table_row" slug="<?php echo $slug; ?>">
							<td  class="fp_slug">
								<input class="slug_setter slug"  type="text" value="<?php echo $slug; ?>" />
							</td>
							<td class="fp_width">
								<input type="text" name="fp_settings[image_sizes][<?php echo $slug; ?>][width]" value="<?php echo $image_dimensions['width']; ?>" />
							</td>
							<td  class="fp_height">
								<input type="text" name="fp_settings[image_sizes][<?php echo $slug; ?>][height]" value="<?php echo $image_dimensions['height']; ?>" />
							</td>
							<td><span class="fp_delete_row fp_link"><?php _e('Delete','floorplans') ?></span></td>
						</tr>

						<?php else: ?>
						<tr>
							<td>
								<div class="fp_permanent_image"><?php echo $slug; ?></div>
							</td>
							<td>
								<div class="fp_permanent_image"><?php echo $image_dimensions['width']; ?></div>
							</td>
							<td>
								<div class="fp_permanent_image"><?php echo $image_dimensions['height']; ?></div>
							</td>
							<td>&nbsp;</td>
						</tr>

						<?php endif; ?>


					<?php endforeach; ?>

						<tfoot>
							<tr>
								<td colspan='4'><input type="button" class="fp_add_row button-secondary" value="<?php _e('Add Row','floorplans') ?>" /></td>
							</tr>
						</tfoot>
						</tbody>
					</table>


 			</td>
		</tr>
		</table>
	</div>-->


</div>


<br class="cb" />

<p class="fp_save_changes_row">
<input type="submit" value="<?php _e('Save Changes','floorplans');?>" class="button-primary" name="Submit">
 </p>


</form>
</div>